# Module `wibox`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

wibox:set_widget (widget) | Set the widget that the wibox displays
wibox:set_bg (c) | Set the background of the wibox
wibox:set_fg (c) | Set the foreground of the wibox
wibox:buttons (...) | Helper function to make wibox:buttons() work as expected
wibox:struts (...) | Helper function to make wibox:struts() work as expected
wibox:geometry (...) | Helper function to make wibox:geometry() work as expected
draw (wibox) | Redraw a wibox.

## Tables

wibox | This provides widget box windows.
drawin | Widget box object.

## Functions

wibox:set_widget (widget)
  Set the widget that the wibox displays

  ### Parameters:

  - widget
wibox:set_bg (c)
  Set the background of the wibox nil or a string that gears.color() understands.

  ### Parameters:

  - c The background to use. This must either be a cairo pattern object,
wibox:set_fg (c)
  Set the foreground of the wibox nil or a string that gears.color() understands.

  ### Parameters:

  - c The foreground to use. This must either be a cairo pattern object,
wibox:buttons (...)
  Helper function to make wibox:buttons() work as expected

  ### Parameters:

  - ...
wibox:struts (...)
  Helper function to make wibox:struts() work as expected

  ### Parameters:

  - ...
wibox:geometry (...)
  Helper function to make wibox:geometry() work as expected

  ### Parameters:

  - ...
draw (wibox)
  Redraw a wibox. You should never have to call this explicitely because it is automatically called when needed.

  ### Parameters:

  - wibox

## Tables

wibox
  This provides widget box windows. Every wibox can also be used as if it were a drawin. All drawin functions and properties are also available on wiboxes! wibox

  ### Fields:

  - mt
drawin
  Widget box object. Every wibox "inherits" from a drawin and you can use all of drawin's functions directly on this as well. When creating a wibox, you can specify a "fg" and a "bg" color as keys in the table that is passed to the constructor. All other arguments will be passed to drawin's constructor.

generated by LDoc 1.3